#
# spec file for package python-troveclient
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-troveclient
Version:        2.5.0
Release:        1.1
Summary:        Client library for OpenStack DBaaS API
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://launchpad.net/%{name}
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PrettyTable >= 0.7
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  python-httplib2 >= 0.7.5
BuildRequires:  python-keystoneauth1 >= 2.10.0
BuildRequires:  python-mistralclient >= 2.0.0
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-oslo.utils >= 3.16.0
BuildRequires:  python-oslosphinx >= 2.5.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-pycrypto >= 2.6
BuildRequires:  python-requests >= 2.10.0
BuildRequires:  python-requests-mock >= 1.0
BuildRequires:  python-setuptools >= 16.0
BuildRequires:  python-simplejson >= 2.2.0
BuildRequires:  python-swiftclient >= 2.2.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-Babel >= 2.3.4
Requires:       python-PrettyTable >= 0.7
Requires:       python-keystoneauth1 >= 2.10.0
Requires:       python-mistralclient >= 2.0.0
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.utils >= 3.16.0
Requires:       python-pbr >= 1.6
Requires:       python-requests >= 2.10.0
Requires:       python-setuptools >= 16.0
Requires:       python-simplejson >= 2.2.0
Requires:       python-six >= 1.9.0
Requires:       python-swiftclient >= 2.2.0
BuildArch:      noarch

%description
This is a client for the Trove API. There's a Python API (the
troveclient module), and a command-line script (trove). Each
implements 100% (or less ;) ) of the Trove API.

%package doc
Summary:        Documentation for OpenStack DBaaS API.
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0

%description doc
Documentation for the client library for interacting with Openstack
DBaaS API.

%prep
%setup -q -n %{name}-%{version}

%build
%py2_build
# Generate html docs
%{__python2} setup.py build_sphinx
# Remove the Sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install

%check
PYTHONPATH=. %{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/python_troveclient-*.egg-info
%{python2_sitelib}/troveclient
%{_bindir}/trove

%files doc
%doc doc/build/html
%license LICENSE

%changelog
* Fri Sep  9 2016 tbechtold@suse.com
  update to version 2.5.0
  * Add support for module ordering on apply
  * module-update with --all_datastores doesn't work
  * Add command to delete BUILD instances and clusters
  * Implement scheduled backups
  * Expose Quota.update API
  * Add --incremental flag to backup-create
* Wed Aug 31 2016 tbechtold@suse.com
  update to version 2.4.0
  * Implement Instance Upgrade
  * Update README.rst with lastest usage
  * Remove Rackspace auth references from troveclient
  * Support flavor ids with leading '0'
  * Allow use of backup name in trove create
  * Fix module-list failing with AccessInfoV2 error
  * Remove discover from test-requirements
  * Replace assertDictEqual
  * Make username and password non-required params
  * Remove times.dbm file for each tox run
  * Locality support for clusters
  * Add support for modules in cluster-grow
  * Display more flavor information in trove flavor-list command
  * Fixed output of cluster-create in CLI
  * Persist error messages and display on 'show'
  * Replace OpenStack LLC with OpenStack Foundation
  * configuration-* cli allow name of configuration group entered
  * Fix CLI output of datastore-show
  * Fix inadvertent generation of file during tox test
  * Fix troveclient to support Mistral
  * Make dict.keys() PY3 compatible
  * Keep py3.X compatibility for urllib
  * Add reno for release notes management
  * Update example usage
  * switch to keystoneauth
  * Display min/max correctly from config-param-list
  * Graduate to oslo.i18n, cleanup incubator usage
  * Use "# noqa" instead of "#flake8: noqa"
  * Update the home-page with developer documentation
  * Add vCPUs to flavor-list
  * Added check to prevent adding argument without help string
  * Updated from global requirements
  * Locality support for replication
- update _service and switch to upstream spec template
* Tue Apr 12 2016 tbechtold@suse.com
- update to 2.2.0:
  * Client support for instance module feature
  * Revert "Time to get rid of any last vestiges of slave_of"
  * Add suport for module maintenance commands
  * Fix for guest_log authentication failure
  * Updated from global requirements
  * Update readme file to be valid rst and update content
  * support OS_ENDPOINT_TYPE environment variable
  * Updated from global requirements
  * Client Changes for Guest Log File Retrieval
  * Fix the "OpenStack CLI guide" link
  * Updated from global requirements
  * use oslotest to break into the debugger when running test cases
  * Remove argparse from requirements
  * Trival: Remove 'MANIFEST.in'
  * Use the oslo.utils.reflection to extract the class name
  * Change assertTrue(isinstance()) by optimal assert
  * Remove openstack-common.conf
  * Put py34 first in the env order of tox
  * Updated from global requirements
  * Drop py33 support
  * Replace assertEqual(None, *) with assertIsNone
  * Remove py26 support
  * Added '.' and remove extra parentheses(')') from README.rst
  * Trivial: Remove vim header from source files
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Add root-disable api
  * Add 'volume_type' parameter to instance create
  * Updated from global requirements
  * cluster create passing availability zone incorrectly
  * Delete python bytecode before every test run
  * Time to get rid of any last vestiges of slave_of
  * Last sync from oslo-incubator
  * Updated from global requirements
  * remove unnecessary message when running unit test
  * Fixes the backup-delete
  * Updated from global requirements
  * improve readme contents
  * Fix the function name with correct word
  * Accepting network and availability zone for instances in cluster
  * Updated from global requirements
- Adjust Requires
* Tue Sep 15 2015 tbechtold@suse.com
- update to 1.3.0:
  * Updated from global requirements
  * Root enablement for Vertica clusters/instances
  * Use more appropriate exceptions for validation
  * Redis Clustering Initial Implementation
  * Revert "Root enablement for Vertica clusters/instances"
  * Implements Datastore Registration API
  * Root enablement for Vertica clusters/instances
  * Updated from global requirements
  * Updated from global requirements
  * Add a --marker argument to the backup commands
  * Fixed missing periods in positional arguments
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Error message on cluster-create is misleading
  * Make subcommands accept flavor name and cluster name
  * Fix flavor-show problems with UUID
  * Updated from global requirements
  * Allow a user to pass an insecure environment variable
  * Updated from global requirements
  * Added more unit-tests to improve code coverage
  * Updated from global requirements
  * Fixes the non-existent exception NoTokenLookupException
  * Fixes new hacking rules
  * Updated coverage related options to project
  * Updated from global requirements
  * Drop use of 'oslo' namespace package
  * Updated from global requirements
  * Corrects order of parameters to assertEqual
  * Update README to work with release tools
  * Uncap library requirements for liberty
  * Fixes unit-test in troveclient
  * Add test to DatastoreVersionMembers
  * Updated from global requirements
  * Replication V2
  * Add coverage library
  * Fixed issues while using --bypass-url
  * Clean up remaining references to TROVE_URL
  * Correct order of parameters to assertEqual
  * Updated from global requirements
  * Changed documentation for datastore parameter for configuration-create
  * Fix grammatical errors in profiler messages
  * TroveClient API Documentation cleanup
  * Updated from global requirements
  * Show '-' for size when volume support disabled
  * Handle obsolete and unused oslo modules
  * Fixed typo in exception message
  * Pass all kwargs through to adapter
  * default endpoint_type to 'publicURL'
  * Fallback to flavor's str_id when id is None
  * Add profiling support to Trove client
  * Remove RAX-specific auth in troveclient
  * Add instance name as parameter to CLI
  * Associate flavor types with datastore versions
  * Workflow documentation is now in infra-manual
  * Updated from global requirements
  * Fixes client to send 0 for min/max size
  * Adds support for Keystone V3 API
  * Updated from global requirements
  * Reverse fix for 1323866 as it regressed trove CLI
  * Adds support for Keystone V3 API
  * Updated from global requirements
  * Fixed typo in doc/source
  * Fixes trove show output
  * Updated from global requirements
  * Fix universal wheel support
  * Use OpenStack branding for trove client
  * Fix Cluster-Create and Cluster-Show Response
- Add python-requires to _service file
- Adjust Requires according to requirements.txt
* Tue Oct 21 2014 dmueller@suse.com
- add rpmlintrc as a source
* Sat Sep 27 2014 dmueller@suse.com
- update to 1.0.7:
  * Update the README.rst with latest help
  * Use 'replica' instead of 'slave'
  * adding configuration parameters mgmt api
  * Clusters troveclient Implementation
* Fri Sep  5 2014 dmueller@suse.com
- go back to released version (1.0.6)
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.74.g9756e2d:
  * Add visibility filter to datastore versions
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.72.g722aeff:
  * Updated from global requirements
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Tue Jul 29 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.71.g872abf2:
  * Improve help text for --size option
* Sat Jul 19 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.70.g0330b94:
  * Fix trove help for show and flavor-show
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.68.g5036106:
  * Use JSON instead of json in the parameter descriptions
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.67.g043b987:
  * Add CONTRIBUTING.rst
* Sat Jun 28 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.66.g75c5456:
  * Add datatore/version name into configuration view
  * Fix shell view for secgroup-* commands
  * Adding command for copying backups
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.60.ga829023:
  * Updated from global requirements
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.59.gcba9568:
  * Add 'slave_of' option for enabling replication
  * Updates root-enable & root-show help messages
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.55.g344a38a:
  * Overwrite HelpFormatter constructur to extend argument column
  * Added optional marker/limit to list command
* Wed Jun 11 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.51.ga48272c:
  * Add datastore filter to backup-list
  * Add instance_metadata functionality to the trove python library
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.47.g0462bad:
  * Rename resize-flavor subcommand to resize-instance
  * Updated from global requirements
  * Updates README with current trove help output
  * Fixed positional order of arguments
* Wed May 28 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.40.g9844f4d:
  * fixed several pep8 issues
* Tue May 27 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.38.g21646a4:
  * Changes configuration_ref to configuration
  * Allow users the ability to update the instance name
* Fri May 23 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.34.gd02764e:
  * Corrects trove-client output
  * replaced e.message
  * Enabled F821, H306, H402, and H404 flake8 rule
* Wed May 21 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.28.g2eedb57:
  * Mark troveclient as being a universal wheel
  * Fixed trove CLI help inconsistencies
  * Added check for empty attributes in trove CLI
  * Changed Trove CLI list headers to match Nova CLI
* Tue May 20 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.20.g886ab0f:
  * Fix trove CLI help UUID references
* Tue May 13 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.18.g8585772:
  * Fix trove help for datastore-version-list and -show
* Thu May  8 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.16.g4643f78:
  * Correct grammar in trove CLI help
  * Fix building of documentation
  * Remove Duplicate ClientExceptions and Merge
* Thu May  1 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.11.ga0ec47b:
  * Make port-id and net-id keys mutually exclusive
  * Updated from global requirements
* Sat Apr 26 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.5.8.gd590169:
  * Updated from global requirements
  1.0.5
  * Fixing the compat client create call
  * Fixes trove create output
  * Remove dependent module py3kcompat
* Tue Apr 15 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.4.7.g4d2b11a:
  * Correct mis-spelling in trove CLI help
* Thu Apr 10 2014 dmueller@suse.com
- Update to version python-troveclient-1.0.4.6.gf616660:
  * Fix build_sphinx setup target
* Wed Apr  2 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.4.4.g8ff28fc:
  * Fix create call for security group rules
* Mon Mar 31 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.4.2.g46464a0:
  1.0.4
  * Fix database-list via CLI for large # of dbs
* Fri Mar 28 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.3.75.g5b713c0:
  * Get rid of XML related trove client bindings
* Sat Mar 22 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.3.73.g3fbb007:
  * Fix JSON In Output for Configuration Groups
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.3.71.g914da1a:
  * Improve help strings
* Sun Mar 16 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.3.69.g0909082:
  * Add Python 3 classifiers
  * Remove arguments deprecated after Diablo
* Wed Mar 12 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.3.66.gd140ff2:
  * Adding datastore_version column to instances list table
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.3.65.g24281a1:
  * Replace assertEqual(None, *) with assertIsNone in tests
* Sat Mar  1 2014 cloud-devel@suse.de
- Update to version python-troveclient-1.0.3.63.g59ec2bb:
  * Remove vim header
* Thu Feb 13 2014 speilicke@suse.com
- Run testr directly (not through setuptools) to see failures
* Thu Feb 13 2014 speilicke@suse.com
- Fix requires
* Tue Feb 11 2014 speilicke@suse.com
- Update to version python-troveclient-1.0.3.62.g5fd715d:
  * adds support for configurations management
  * Remove copyright from empty files
  * Fixes troveclient raising undefined exception ConnectionError
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Sat Feb  1 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.3.51:
  + Add Neutron support
* Fri Jan 31 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.3.49:
  + Fixes troveclient raising undefined exception ConnectionError
* Wed Jan 29 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.3.48:
  + Update to the latest code from Oslo
* Fri Jan 24 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.3.47:
  + Datastores improvements
  + Adds volume_used to trove show <instance>
  + Updates common.check_for_exceptions and its calls
* Sat Jan 18 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.3.42:
  + Fixed misspellings of common words
* Wed Jan 15 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.3.40:
  + Datastore on Show Instance Should Not Be a Dict
* Tue Jan 14 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.3.38:
  + Tighten flake8 checks in Gating
* Fri Jan 10 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.3.36:
  + Adding pagination support for backups
* Tue Jan  7 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.3.34:
  + Add type to volume.total for Mgmt Instance Get
* Thu Jan  2 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.3.32:
  + Correct database-create Name Help Text
* Sat Dec 14 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.31:
  + Updates README with new trove help options
* Fri Dec 13 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.30:
  + Add -U to pip install command in tox.ini
  + Updated from global requirements
  + Fixed misspellings of common words
  + Fixes trove help command
* Thu Dec 12 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.22:
  + Changes trove_client.client.HTTPClient to
* Wed Dec 11 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.21:
  + Ignore fewer PEP8/flake8 rules
* Tue Dec 10 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.20:
  + Updates tox.ini to use new features
  + Updates .gitignore to ignore *.egg*
* Sat Dec  7 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.17:
  + Removes unused import statements
  + Added a missing import statement
* Wed Dec  4 2013 speilicke@suse.com
- Run testsuite during build (%%check section) and obsolete the test
  package. An overall simplification of the test process
- Dependency cleanup
* Mon Nov 25 2013 dmueller@suse.com
- switch to python-setuptools
* Sat Nov 23 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.15:
  + Allow --json output override printing dict/list
* Fri Nov 22 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.13:
  + Allow for compatable auths between new and old CLI
* Thu Nov 21 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.12:
  + Updated from global requirements
* Thu Nov 14 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.11:
  + Usage String has Positionals after Optionals
* Wed Nov 13 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.9:
  + IP Address Showing as JSON in Show Command
  + Fix Pep8 indentation issues only found with Pep8 1.4.6+
* Sat Nov  2 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.5:
  + Support datastore types
* Sun Oct 27 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.4:
  + Updated the README file with bypass-url
* Fri Oct 25 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.2:
  + Add --bypass-url option to trove client
  + user-list Databases Value is JSON vs a String
* Wed Oct 23 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.1.33:
  + Fix unicode issue
  + Import exceptions module from openstack-common
  + Import urlutils module from openstack-common
  + Replace urllib.quote with urlutils.quote
  + Import exceptions module from openstack-common
  + Replace g.next() with next(g)
  + Transform print statement to print function
  + Replace basestring with six.string_types
  + Make use of strutils.to_slug in slugify()
  + Include troveclient/compat/tests in testr
  + Resolve compatability for troveclient/compat
  + Use six.iteritems() in for loop
  + Adding py33 gating to the client
  + Removing unused files with new client
  + Fixing typos that were in the readme
* Wed Oct 23 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.1.5:
  + Fixing copyright and license headers
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.1.4:
  + Sync up exceptions.py from oslo
* Wed Oct 16 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.1.3:
  + change mode to octal for os.makedirs()
* Tue Oct 15 2013 dmueller@suse.com
- Update to version 1.0.1.2:
  + Massive refactoring to the troveclient
  + Tweak pbr conf
  + Add support for a service type env var
  + Enable shell to resize and restart
  + Correct handling args.backup in do_create
  + Fixed bug with showing backups
  + Removing lxml/httplib2 depends
  + Fixing the backwards verb/noun cli names
  + Fixes README and shell
  + Fixed minor typos with trove-client help info
  + Removed underscores from the end of some variables
* Tue Oct  8 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.4.14:
  + Remove trove as default value for Service Name
* Tue Sep 24 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.4.13:
  + Replace OpenStack LLC with OpenStack Foundation
* Mon Sep 23 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.4.11:
  + Removing reddwarf doc references
* Tue Sep 17 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.4.10:
  + Added optional availability_zone flag for instance
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.4.8:
  + Fixed cli for root enabled
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.4.6:
  + Adds support for admin to create flavors through mgmt API
* Wed Sep 11 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.4.4:
  + Added support for running the tests under PyPy with tox
* Tue Sep  3 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.4.3:
  + PEP8 with tox -epep8 check fails
* Sat Aug 31 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.4.1:
  + Removed instance reset_password from python-troveclient
* Wed Aug  7 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.3.9:
  + Sync with global requirements
* Fri Jul 19 2013 dmueller@suse.com
- add doc subpackage
* Mon Jul 15 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.3.6:
  + Wildcards in User Host
* Wed Jun 26 2013 dmueller@suse.com
- Initial package
